{% extends "catalog/base.html" %}
{% block main %}

    <h2> Orders list </h2>

    <div class="container bg-light ">
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col"> Order date</th>
                <th scope="col"> Order status</th>
                <th scope="col"> Order price BYN</th>
                <th scope="col"> Order price USD
                </th>
            </tr>
            </thead>
            <tbody>
            {% for item in user_orders_history %}
                <tr>
                <hr>
                <td>{{ item.date_order }} </td>
                <td>{{ item.confirm|yesno:"Confirmed,In progress,Denied" }}</td>
                <td>{{ item.order_price }} BYN</td>
                <td>{{ item.order_priceUSD }} USD</td>
                <table class="table">
                    <thead>
                    <tr>
                        <th scope="col"> Product</th>
                        <th scope="col"> Amount</th>
                        <th scope="col"> Price BYN</th>
                        <th scope="col"> Price USD</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for el in item.in_order.all %}
                        <tr>
                        <td> {{ el.product }}   </td>
                        <td> {{ el.amount }}  </td>
                        <td> {{ el.amount_price }} BYN</td>
                        <td>{{ el.amount_priceUSD }} USD</td>
                    {% endfor %}
                    </tbody>
                </table>
            {% endfor %}
            </tbody>
        </table>
        <hr>
    </div>



{% endblock %}